Package org.bukkit.block.data.type

# Interface Bamboo

All Superinterfaces:
  `Ageable`, `BlockData`, `Cloneable`, `Sapling`

public interface Bamboo extends Ageable, Sapling
'leaves' represents the size of the leaves on this bamboo block.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Bamboo.Leaves`
Bamboo leaf size.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Bamboo.Leaves`
`getLeaves()`
Gets the value of the 'leaves' property.
`void`
`setLeaves(@NotNull Bamboo.Leaves leaves)`
Sets the value of the 'leaves' property.

### Methods inherited from interface org.bukkit.block.data.Ageable

`getAge, getMaximumAge, setAge`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.type.Sapling

`getMaximumStage, getStage, setStage`

## Method Details

### getLeaves

@NotNull @NotNull Bamboo.Leaves getLeaves()
Gets the value of the 'leaves' property.

Returns:
  the 'leaves' value

### setLeaves

void setLeaves(@NotNull @NotNull Bamboo.Leaves leaves)
Sets the value of the 'leaves' property.

Parameters:
  `leaves` - the new 'leaves' value